XRT-SMI(1)

NAME
xrt-smi - system management interface for XRT devices

SYNOPSIS
xrt-smi [--help] [--version] [--verbose] [--batch] [--force] [command [commandArgs]]

DESCRIPTION
xrt-smi is a command-line utility for configuring, examining, programming, resetting, and validating supported XRT devices.

COMMANDS

configure
    Device and host configuration.

examine
    Status of the system and device.

program
    Download the acceleration program to a given device.

reset
    Reset the given device.

validate
    Validate basic device acceleration functionality.

OPTIONS

--help
    Show help.

--version
    Report the version of XRT and its drivers.

--verbose
    Enable verbose output.

--batch
    Enable batch mode.

--force
    Force operations when possible.

SEE ALSO
xbmgmt(1), xclbinutil(1)